HomologeneDB (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.HomologeneDB interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Interface HomologeneDB

All Known Implementing Classes:
  SimpleHomologeneDB

    public interface HomologeneDB

Homologene is a NCBI dataset that curates sets of orthologues from the reference model organisms.

This class is a Collection of methods for handling data from the Homologene dataset.

Author:
  David Huen, Matthew Pocock

Method Summary
`Orthologue` | `createOrthologue(int taxonID, String locusID, String homologeneID, String accession)` Create an orthologue.
`Orthologue` | `createOrthologue(Taxon taxon, String locusID, String homologeneID, String accession)` Create an orthologue.
`OrthoPair` | `createOrthoPair(Orthologue first, Orthologue second, SimilarityType type, double percentIdentity)` Create a computed orthology entry.
`OrthoPair` | `createOrthoPair(Orthologue first, Orthologue second, String ref)` Create a curated orthology entry.
`OrthoPairSet` | `createOrthoPairSet()` Create a Homologene Group.
`OrthoPairCollection` | `filter(OrthoPairSetFilter filters)` Filter the database for a specified group.
`Orthologue` | `getOrthologue(String homologeneID)` Returns an orthologue of specified ID.
`OrthoPairCollection` | `getOrthoPairSets()` Get the HomologeneGroups in this database.

Method Detail

### createOrthologue

    Orthologue createOrthologue(Taxon taxon,
                                String locusID,
                                String homologeneID,
                                String accession)
                                throws ChangeVetoException

  Create an orthologue.

  Throws:
    `ChangeVetoException`

### createOrthologue

    Orthologue createOrthologue(int taxonID,
                                String locusID,
                                String homologeneID,
                                String accession)
                                throws ChangeVetoException

  Create an orthologue.

  Throws:
    `ChangeVetoException`

### getOrthologue

    Orthologue getOrthologue(String homologeneID)

  Returns an orthologue of specified ID.

### createOrthoPair

    OrthoPair createOrthoPair(Orthologue first,
                              Orthologue second,
                              SimilarityType type,
                              double percentIdentity)

  Create a computed orthology entry.

### createOrthoPair

    OrthoPair createOrthoPair(Orthologue first,
                              Orthologue second,
                              String ref)

  Create a curated orthology entry.

### createOrthoPairSet

    OrthoPairSet createOrthoPairSet()

  Create a Homologene Group.

### getOrthoPairSets

    OrthoPairCollection getOrthoPairSets()

  Get the HomologeneGroups in this database.

### filter

    OrthoPairCollection filter(OrthoPairSetFilter filters)

  Filter the database for a specified group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD